Subject: Re: bug#9248: 23.2; Welcome screen

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Jan 2020 18:26:46 +0100

Richard Stallman <[email-masked]> writes:

>   > There is very important political information on that screen about
>   > user freedom, GNU and the FSF.  Yes.  But this way of showing it to
>   > users is too intrusive.  We win the fight against proprietary software
>   > also by providing the best possible user experience.
>
> We don't win anything for our cause if the users of our software
> don't know what the cause is.
>
> It used to be that people could easily use Emacs for years and
> never have the faintest idea what we are fighting for.  Emacs
> displayed this information only in circumstances which they never saw.
> When I discovered that, I changed it to present that information in
> more circumstances, so that all users would see it.
>
> If it is slightly annoying to see this information when you already
> know it, consider that that is a rather small sacrifice to make for
> the cause of freedom.

Those are some good points.  I think you convinced me that there is no
need to change this, although my preferences are slighly different.

Given the lack of support from other Emacs developers to change this
default, I think it's unlikely to ever happen.  Therefore, it would
probably make the most sense to close this bug as wontfix/notabug.

Best regards,
Stefan Kangas